Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » EMF "Technology" (Ecore Tools, EMFatic, etc)  » EMF Client on Indigo (Cannot install ECP on Indigo)
EMF Client on Indigo [message #1232310] Thu, 16 January 2014 16:54 Go to next message
Susan Carswell-Hurdis is currently offline Susan Carswell-HurdisFriend
Messages: 4
Registered: January 2014
Junior Member
I cannot find a way to install EMF Client on indigo (3.7.2). I have tried using the Eclipse modeling toolkit as my eclipse and also installing eclipse for Java and including all the stuff from the detail description of the modeling toolkit.

Every time I try to install FMF Client (after EMFStore) I get the message that missing requirement eclipse jar org.eclipse.emf.ecore-2.8.1. I have put a copy of the jar in dropins and have also put the EMF Client (1.1.0) into the dropins.

The emfstore server comes up and the emfclient comes up from dropins but I get a null pointer trying to add a repository.

Thanks Susan
Re: EMF Client on Indigo [message #1232620 is a reply to message #1232310] Fri, 17 January 2014 10:49 Go to previous messageGo to next message
Jonas Helming is currently offline Jonas HelmingFriend
Messages: 699
Registered: July 2009
Senior Member
Hi,

as most Eclipse projects, we officially support the current and the last
major releases (i.e. Juno and Kepler). Therefore our minimal version
constraints are set to Juno.
I believe it is possible to run ECP on Indigo, too, but it requires some
configuration and testing effort.
Is it possible for you to update to Juno?

Best Regards

Jonas

Am 16.01.2014 19:10, schrieb Susan Carswell-Hurdis:
> I cannot find a way to install EMF Client on indigo (3.7.2). I have
> tried using the Eclipse modeling toolkit as my eclipse and also
> installing eclipse for Java and including all the stuff from the detail
> description of the modeling toolkit.
>
> Every time I try to install FMF Client (after EMFStore) I get the
> message that missing requirement eclipse jar
> org.eclipse.emf.ecore-2.8.1. I have put a copy of the jar in dropins
> and have also put the EMF Client (1.1.0) into the dropins.
>
> The emfstore server comes up and the emfclient comes up from dropins
> but I get a null pointer trying to add a repository.
> Thanks Susan
Re: EMF Client on Indigo [message #1232687 is a reply to message #1232620] Fri, 17 January 2014 13:55 Go to previous messageGo to next message
Susan Carswell-Hurdis is currently offline Susan Carswell-HurdisFriend
Messages: 4
Registered: January 2014
Junior Member
Unfortunately our hardware environment restricts us to Eclipse Indigo. Are the changes documented in any way? We will be working on both Windows 64 and Linux. Thanks Susan
Re: EMF Client on Indigo [message #1233015 is a reply to message #1232687] Sat, 18 January 2014 10:48 Go to previous message
Jonas Helming is currently offline Jonas HelmingFriend
Messages: 699
Registered: July 2009
Senior Member
Hi,

I am sorry to say, but as we officially only support Kepler and Juno,
there is also no documentation of any necessary changes. That would mean
a lot of additional effort, and there are currently no users we are
aware of still using Indigo.
What needs to be done is:

- Create a target with Indigo
- Identify all version constraints, which are not fulfilled anymore
- Downgrade the version constraints and see if there are any binary
incompatibilities
- Run all tests

The effort is hard to estimate, as it depends on if there are any
incompatibilities. Do you consider to contribute or sponsor this?

Best Regards

Jonas


Am 17.01.2014 14:55, schrieb Susan Carswell-Hurdis:
> Unfortunately our hardware environment restricts us to Eclipse Indigo.
> Are the changes documented in any way? We will be working on both
> Windows 64 and Linux. Thanks Susan
Previous Topic:[Texo] DTYPE column length
Next Topic:EMF Facet - adding additional Attributes
Goto Forum:
  


Current Time: Sat Apr 17 03:42:24 GMT 2021

Powered by FUDForum. Page generated in 0.01777 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top